package modelage;

import java.io.File;

/**
 * Class which extracts the extension of file 
 */
public class TxtFileFilterUtils {
    public final static String txt = "txt";

    /**
     * Get the extension of a file.
     */
    public static String getExtension(File f) {
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 &&  i < s.length() - 1) {
            ext = s.substring(i+1).toLowerCase();
        }
        return ext;
    }
}///:~
